# This file created by conda-build 3.10.7
# meta.yaml template originally from:
# /home/psilocaluser/gits/psi4meta/conda-recipes/v2rdm, last modified Mon Jun 25 11:33:35 2018
# ------------------------------------------------

package:
    name: v2rdm_casscf
    version: '0.8'
source:
    git_rev: 976d8af
    git_url: git@github.com:edeprince3/v2rdm_casscf.git
build:
    binary_relocation: true
    ignore_run_exports:
        - libgfortran-ng
        - psi4
    number: '0'
    string: py35hbddea90_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cmake 3.11.1 h307fef2_1
        - expat 2.2.5 he0dffb1_0
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - libcurl 7.60.0 h1ad7b7a_0
        - libgcc-ng 7.2.0 hdf63c60_3
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    host:
        - atomicwrites 1.1.5 py35_0
        - attrs 18.1.0 py35_0
        - blas 1.0 mkl
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py35_0
        - chemps2 1.8.7 he865b90_1
        - decorator 4.3.0 py35_0
        - deepdiff 3.3.0 py35_1
        - dkh 1.2 h173d85e_2
        - gau2grid 1.1.0 h035aef0_0
        - gdma 2.2.6 h0e1e685_6
        - hdf5 1.10.2 hba1933b_1
        - intel-openmp 2018.0.3 0
        - jsonpickle 0.9.6 py35_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libefp 1.5.0 h66000e6_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libint 1.2.1 h73b9bb0_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - libxc 4.0.2 h14c3975_0
        - mkl 2018.0.3 1
        - mkl-devel 2018.0.3 1
        - mkl-include 2018.0.3 1
        - mkl_fft 1.0.1 py35h3010b51_0
        - mkl_random 1.0.1 py35h629b387_0
        - more-itertools 4.2.0 py35_0
        - ncurses 6.1 hf484d3e_0
        - networkx 2.1 py35_0
        - numpy 1.14.5 py35hcd700cb_0
        - numpy-base 1.14.5 py35hdbf6ddf_0
        - openssl 1.0.2o h20670df_0
        - pcmsolver 1.2.1 py35hce75f6e_0
        - pip 10.0.1 py35_0
        - pluggy 0.6.0 py35hb428803_0
        - psi4 1.2rc3.dev129+bc3aeae py35h64ffa14_0
        - py 1.5.3 py35_0
        - pybind11 2.2.3 py35_0
        - pytest 3.6.1 py35_0
        - python 3.5.5 hc3d631a_4
        - readline 7.0 ha6073c6_4
        - setuptools 39.2.0 py35_0
        - simint 0.7 h642920c_1
        - six 1.11.0 py35h423b573_1
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - wheel 0.31.1 py35_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - blas 1.0 mkl
        - intel-openmp
        - libgcc-ng >=7.2.0
        - libstdcxx-ng >=7.2.0
        - mkl >=2018.0.3
        - python >=3.5,<3.6.0a0
test:
    commands:
        - test -f $SP_DIR/v2rdm_casscf/v2rdm_casscf.so
        - test -f $PREFIX/share/cmake/v2rdm_casscf/v2rdm_casscfConfig.cmake
        - ldd -r -u $SP_DIR/v2rdm_casscf/v2rdm_casscf.so && return 0
        - ldd -v $SP_DIR/v2rdm_casscf/v2rdm_casscf.so
        - conda inspect linkages --show-files --groupby=dependency v2rdm_casscf
        - psi4 --test
        - python -c "import v2rdm_casscf as v2, sys; sys.exit(v2.test('long', extras=['-k',
            'psiapi']))"
        - python -c "import v2rdm_casscf as v2; import psi4; print('*** v2rdm_casscf
            {} built successfully against Psi4 {}. Buy psinet a beer.'.format(v2.__version__,
            psi4.__version__))"
    imports:
        - psi4
        - v2rdm_casscf
    requires:
        - psi4
about:
    dev_url: https://github.com/edeprince3/v2rdm_casscf
    doc_url: https://github.com/edeprince3/v2rdm_casscf/blob/master/README.md
    home: https://github.com/edeprince3/v2rdm_casscf
    license: GPL-2.0+
    license_family: GPL
    license_file: LICENSE
    license_url: https://opensource.org/licenses/GPL-2.0+
    summary: E. DePrince's variational 2-RDM-driven CASSCF plugin to Psi4
extra:
    copy_test_source_files: true
    final: true
